Name:                bea-stax
Version:             1.2.0
Release:             18
Summary:             Streaming API of XML
License:             ASL 1.1 and ASL 2.0
URL:                 https://repo1.maven.org/
Source0:             https://repo1.maven.org/maven2/stax/stax-src/1.2.0/stax-src-%{version}.distribution-zip
Source1:             https://repo1.maven.org/maven2/stax/stax/1.2.0/stax-%{version}.pom
Source2:             https://repo1.maven.org/maven2/stax/stax-api/1.0.1/stax-api-1.0.1.pom

BuildArch:           noarch
BuildRequires:       javapackages-local ant xerces-j2 xalan-j2

%description
The Streaming API of XML (StAX) is a groundbreaking new Java API
for parsing and writing XML easily and efficiently.

%package api
Summary:             API of the bea-stax

%description api
API of the bea-stax.

%package help
Summary:             Help document of bea-stax
Provides:            bea-stax-javadoc = %{version}-%{release}
Obsoletes:           bea-stax-javadoc < %{version}-%{release}

%description help
Help document of bea-stax.

%prep
%autosetup -c -n %{name}-%{version} -p1
%{__sed} -i 's/\r//' ASF2.0.txt
install -p %{SOURCE1} pom.xml
%pom_remove_dep :junit

%build
ant all javadoc

%install
%mvn_file ':{*}' bea-@1
%mvn_package :stax-api api
%mvn_alias :stax-api javax.xml.stream:stax-api
%mvn_artifact pom.xml build/stax-%{version}-dev.jar
%mvn_artifact %{SOURCE2} build/stax-api-1.0.1.jar
%mvn_install -J build/javadoc

%files -f .mfiles
%doc ASF2.0.txt

%files api -f .mfiles-api
%doc ASF2.0.txt

%files help -f .mfiles-javadoc
%doc ASF2.0.txt

%changelog
* Fri Apr 24 2020 leiju <leiju4@huawei.com> - 1.2.0-18
- Package init
